# coding: utf-8

module AgileSolo
  class CompositeCommand < Command
    def initialize
      @commands = []
    end

    def size
      @commands.size
    end

    def empty?
      @commands.empty?
    end

    def add_commands(cmd)
      @commands << cmd
    end

    def execute
      @commands.each { |cmd| cmd.execute }
    end

    def unexecute
      @commands.each { |cmd| cmd.execute }
    end

    def description
      description = ''
      @commands.each { |cmd| description += cmd.description + "\n" }
      description
    end
  end
end
